View all NNI quotes, orders, and services.

Retrieve all NNI information. Commonly used to identify an NNI to associate with your UNI quote. Zayo will always default to the nearest NNI if a UNI is quoted without an nniId.

Request
Request Body schema: application/json

Optional request body to add a filter on locationId or pagination.

object

Object to define filter options.

object

Object to define pagination. Default = 10 records per page.

Responses
200

Success

post/services/quote-management/v3/quotes/nnis
Request samples
application/json
{
  • "filter": {
    • "locationid": "a0b60000003Ku5lAAC"
    },
  • "paging": {
    • "top": 50,
    • "skip": "string"
    }
}
Response samples
application/json
"{\"apiVersion\": \"v2\", \"data\": {\n \"records\": [\n {\n \"nniId\": \"a0M4z00000TLvIxEAL\",\n \"custNNI\": \"a1X4z000006ppz0EAA\",\n \"type\": \"Service\",\n \"bandwidth\": \"1G\",\n \"circuitId\": \"ETYX/327691//ZYO/NNI\",\n \"name\": \"659406\",\n \"productCategory\": \"Pt to Multi-Pt (NNI)\",\n \"location\": \"431 Ridge Rd/Fl-1/Rm-North Telco Dayton, NJ 08810\",\n \"locationId\": \"a0b60000003KuQPAA0\",\n \"address\": \"431 Ridge Rd\",\n \"floor\": \"1\",\n \"suite\": null,\n \"room\": \"North Telco\",\n \"state\": \"NJ\",\n \"zip\": \"08810\",\n \"city\": \"Dayton\",\n \"country\": \"USA\",\n \"sortby\": 1\n },\n {\n \"nniId\": \"a0M0z00000OvUbUEAV\",\n \"custNNI\": \"a1X0z000005KhDmEAK\",\n \"type\": \"Service\",\n \"bandwidth\": \"10G\",\n \"circuitId\": \"ACCX/179751//ZYO\",\n \"name\": \"496218\",\n \"productCategory\": \"Pt to Multi-Pt (NNI)\",\n \"location\": \"840 S Canal St/Fl-5/Ste-5P2/Rm-5200 (zColo) Chicago, IL 60607\",\n \"locationId\": \"a0b6000000JMUT9AAP\",\n \"address\": \"840 S Canal St\",\n \"floor\": \"5\",\n \"suite\": \"5P2\",\n \"room\": \"5200 (zColo)\",\n \"state\": \"IL\",\n \"zip\": \"60607\",\n \"city\": \"Chicago\",\n \"country\": \"USA\",\n \"sortby\": 1\n },\n {\n \"nniId\": \"a0L0z00000C7gnfEAB\",\n \"custNNI\": \"a1F0z000005G7bPEAS\",\n \"type\": \"Service Order\",\n \"bandwidth\": \"1G\",\n \"circuitId\": null,\n \"name\": \"1552206\",\n \"productCategory\": \"Pt to Multi-Pt (NNI)\",\n \"location\": \"220 S Broadway/Fl-LL/Ste-10 Rochester, MN 55904\",\n \"locationId\": \"a0b60000000DPRNAA4\",\n \"address\": \"220 S Broadway\",\n \"floor\": \"LL\",\n \"suite\": \"10\",\n \"room\": null,\n \"state\": \"MN\",\n \"zip\": \"55904\",\n \"city\": \"Rochester\",\n \"country\": \"USA\",\n \"sortby\": 2\n },\n {\n \"nniId\": \"a0L0z00000C7gkMEAR\",\n \"custNNI\": \"a1F0z000005G7XuEAK\",\n \"type\": \"Service Order\",\n \"bandwidth\": \"10G\",\n \"circuitId\": null,\n \"name\": \"1552173\",\n \"productCategory\": \"Pt to Multi-Pt (NNI)\",\n \"location\": \"11 Great Oaks Blvd/Fl-1/Rm-Equinix San Jose, CA 95119\",\n \"locationId\": \"a0b60000000DoPKAA0\",\n \"address\": \"11 Great Oaks Blvd\",\n \"floor\": \"1\",\n \"suite\": null,\n \"room\": \"Equinix\",\n \"state\": \"CA\",\n \"zip\": \"95119\",\n \"city\": \"San Jose\",\n \"country\": \"USA\",\n \"sortby\": 2\n },\n {\n \"nniId\": \"a2w4z0000054jZTAAY\",\n \"custNNI\": \"a2x4z000007YI0TAAW\",\n \"type\": \"Quote\",\n \"bandwidth\": \"1G\",\n \"circuitId\": null,\n \"name\": \"Quote-9361893\",\n \"productCategory\": \"Pt to Multi-Pt (NNI)\",\n \"location\": \"60 Hudson St/Fl-15/Ste-1506 New York, NY 10013\",\n \"locationId\": \"a0b60000003Ku5lAAC\",\n \"address\": \"60 Hudson St\",\n \"floor\": \"15\",\n \"suite\": \"1506\",\n \"room\": null,\n \"state\": \"NY\",\n \"zip\": \"10013\",\n \"city\": \"New York\",\n \"country\": \"USA\",\n \"sortby\": 3\n }\n ],\n \"metadata\": {\n \"top\": 10,\n \"skip\": 0,\n \"currentPage\": 1,\n \"totalPages\": 1,\n \"totalRecordCount\": 5}}}"